CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2014-3505

Double free vulnerability in d1_both.c in the DTLS implementation in OpenSSL 0.9.8 before 0.9.8zb, 1.0.0 before 1.0.0n, and 1.0.1 before 1.0.1i allows remote attackers to cause a denial of service (application crash) via crafted DTLS packets that trigger an error condition.
Publish Date : 2014-08-13 Last Update Date : 2017-01-06
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of Service
CWE ID CWE id is not defined for this vulnerability

- Related OVAL Definitions

Title Definition Id Class Family
AIX OpenSSL Denial of Service due to double free oval:org.mitre.oval:def:26622 unix
DEPRECATED: SUSE-SU-2014:1049-1 -- Security update for OpenSSL oval:org.mitre.oval:def:26781 unix
DSA-2998-1 openssl - security update oval:org.mitre.oval:def:26351 unix
ELSA-2014-1052 -- openssl security update (moderate) oval:org.mitre.oval:def:27233 unix
ELSA-2014-1053 -- openssl security update (moderate) oval:org.mitre.oval:def:26954 unix
HP-UX running OpenSSL, Multiple Vulnerabilities oval:org.mitre.oval:def:26445 unix
RHSA-2014:1052: openssl security update (Moderate) oval:com.redhat.rhsa:def:20141052 unix
RHSA-2014:1052: openssl security update (Moderate) oval:org.mitre.oval:def:26426 unix
RHSA-2014:1053: openssl security update (Moderate) oval:org.mitre.oval:def:26315 unix
RHSA-2014:1053: openssl security update (Moderate) oval:com.redhat.rhsa:def:20141053 unix
SUSE-SU-2014:1049-1 -- Security update for OpenSSL oval:org.mitre.oval:def:26562 unix
SUSE-SU-2014:1104-1 -- Security update for OpenSSL oval:org.mitre.oval:def:26304 unix
USN-2308-1 -- openssl vulnerabilities oval:org.mitre.oval:def:26381 unix
Vulnerability in OpenSSL 0.9.8 before 0.9.8zb, 1.0.0 before 1.0.0n, and 1.0.1 before 1.0.1i, allows remote attackers to ... oval:org.mitre.oval:def:26491 windows
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2014-3505

# Product Type Vendor Product Version Update Edition Language
1 Application Openssl Openssl 0.9.8v Version Details Vulnerabilities
2 Application Openssl Openssl 0.9.8g Version Details Vulnerabilities
3 Application Openssl Openssl 0.9.8q Version Details Vulnerabilities
4 Application Openssl Openssl 0.9.8b Version Details Vulnerabilities
5 Application Openssl Openssl 0.9.8m Version Details Vulnerabilities
6 Application Openssl Openssl 0.9.8w Version Details Vulnerabilities
7 Application Openssl Openssl 0.9.8h Version Details Vulnerabilities
8 Application Openssl Openssl 0.9.8r Version Details Vulnerabilities
9 Application Openssl Openssl 0.9.8c Version Details Vulnerabilities
10 Application Openssl Openssl 0.9.8m Beta1 Version Details Vulnerabilities
11 Application Openssl Openssl 0.9.8x Version Details Vulnerabilities
12 Application Openssl Openssl 0.9.8i Version Details Vulnerabilities
13 Application Openssl Openssl 0.9.8s Version Details Vulnerabilities
14 Application Openssl Openssl 0.9.8d Version Details Vulnerabilities
15 Application Openssl Openssl 0.9.8n Version Details Vulnerabilities
16 Application Openssl Openssl 0.9.8y Version Details Vulnerabilities
17 Application Openssl Openssl 0.9.8j Version Details Vulnerabilities
18 Application Openssl Openssl 0.9.8t Version Details Vulnerabilities
19 Application Openssl Openssl 0.9.8e Version Details Vulnerabilities
20 Application Openssl Openssl 0.9.8o Version Details Vulnerabilities
21 Application Openssl Openssl 0.9.8 Version Details Vulnerabilities
22 Application Openssl Openssl 0.9.8za Version Details Vulnerabilities
23 Application Openssl Openssl 0.9.8k Version Details Vulnerabilities
24 Application Openssl Openssl 0.9.8u Version Details Vulnerabilities
25 Application Openssl Openssl 0.9.8f Version Details Vulnerabilities
26 Application Openssl Openssl 0.9.8p Version Details Vulnerabilities
27 Application Openssl Openssl 0.9.8a Version Details Vulnerabilities
28 Application Openssl Openssl 0.9.8l Version Details Vulnerabilities
29 Application Openssl Openssl 1.0.0 Beta3 Version Details Vulnerabilities
30 Application Openssl Openssl 1.0.0i Version Details Vulnerabilities
31 Application Openssl Openssl 1.0.0d Version Details Vulnerabilities
32 Application Openssl Openssl 1.0.0 Beta4 Version Details Vulnerabilities
33 Application Openssl Openssl 1.0.0j Version Details Vulnerabilities
34 Application Openssl Openssl 1.0.0e Version Details Vulnerabilities
35 Application Openssl Openssl 1.0.0 Beta5 Version Details Vulnerabilities
36 Application Openssl Openssl 1.0.0k Version Details Vulnerabilities
37 Application Openssl Openssl 1.0.0 Version Details Vulnerabilities
38 Application Openssl Openssl 1.0.0f Version Details Vulnerabilities
39 Application Openssl Openssl 1.0.0a Version Details Vulnerabilities
40 Application Openssl Openssl 1.0.0l Version Details Vulnerabilities
41 Application Openssl Openssl 1.0.0 Beta1 Version Details Vulnerabilities
42 Application Openssl Openssl 1.0.0g Version Details Vulnerabilities
43 Application Openssl Openssl 1.0.0b Version Details Vulnerabilities
44 Application Openssl Openssl 1.0.0m Version Details Vulnerabilities
45 Application Openssl Openssl 1.0.0 Beta2 Version Details Vulnerabilities
46 Application Openssl Openssl 1.0.0h Version Details Vulnerabilities
47 Application Openssl Openssl 1.0.0c Version Details Vulnerabilities
48 Application Openssl Openssl 1.0.1f Version Details Vulnerabilities
49 Application Openssl Openssl 1.0.1a Version Details Vulnerabilities
50 Application Openssl Openssl 1.0.1g Version Details Vulnerabilities
51 Application Openssl Openssl 1.0.1b Version Details Vulnerabilities
52 Application Openssl Openssl 1.0.1h Version Details Vulnerabilities
53 Application Openssl Openssl 1.0.1c Version Details Vulnerabilities
54 Application Openssl Openssl 1.0.1 Version Details Vulnerabilities
55 Application Openssl Openssl 1.0.1d Version Details Vulnerabilities
56 Application Openssl Openssl 1.0.1 Beta1 Version Details Vulnerabilities
57 Application Openssl Openssl 1.0.1 Beta2 Version Details Vulnerabilities
58 Application Openssl Openssl 1.0.1e Version Details Vulnerabilities
59 Application Openssl Openssl 1.0.1 Beta3 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Openssl Openssl 59

- References For CVE-2014-3505

http://support.f5.com/kb/en-us/solutions/public/15000/500/sol15573.html CONFIRM
http://secunia.com/advisories/61040
SECUNIA 61040
https://www.openssl.org/news/secadv_20140806.txt CONFIRM
http://aix.software.ibm.com/aix/efixes/security/openssl_advisory10.asc CONFIRM
https://git.openssl.org/gitweb/?p=openssl.git;a=commit;h=bff1ce4e6a1c57c3d0a5f9e4f85ba6385fccfe8b CONFIRM
http://www.debian.org/security/2014/dsa-2998
DEBIAN DSA-2998
http://www.huawei.com/en/security/psirt/security-bulletins/security-advisories/hw-372998.htm CONFIRM
https://lists.balabit.hu/pipermail/syslog-ng-announce/2014-September/000196.html
MLIST [syslog-ng-announce] 20140910 syslog-ng Premium Edition 5 LTS (5.0.6a) has been released
http://www.securitytracker.com/id/1030693
SECTRACK 1030693
http://www.mandriva.com/security/advisories?name=MDVSA-2014:158
MANDRIVA MDVSA-2014:158
http://www-01.ibm.com/support/docview.wss?uid=swg21686997 CONFIRM
http://www-01.ibm.com/support/docview.wss?uid=swg21683389 CONFIRM
http://www.securityfocus.com/bid/69081
BID 69081 OpenSSL DTLS CVE-2014-3505 Remote Denial of Service Vulnerability Release Date:2016-07-26
http://www-01.ibm.com/support/docview.wss?uid=swg21682293 CONFIRM
http://www-01.ibm.com/support/docview.wss?uid=nas8N1020240 CONFIRM
http://secunia.com/advisories/61100
SECUNIA 61100
http://secunia.com/advisories/61184
SECUNIA 61184
http://secunia.com/advisories/61250
SECUNIA 61250
http://security.gentoo.org/glsa/glsa-201412-39.xml
GENTOO GLSA-201412-39
http://secunia.com/advisories/60803
SECUNIA 60803
http://secunia.com/advisories/60778
SECUNIA 60778
http://secunia.com/advisories/60684
SECUNIA 60684
http://secunia.com/advisories/60493
SECUNIA 60493
http://secunia.com/advisories/60221
SECUNIA 60221
http://secunia.com/advisories/60022
SECUNIA 60022
http://secunia.com/advisories/59743
SECUNIA 59743
http://secunia.com/advisories/59710
SECUNIA 59710
http://marc.info/?l=bugtraq&m=142660345230545&w=2
HP SSRT101846
http://rhn.redhat.com/errata/RHSA-2014-1256.html
REDHAT RHSA-2014:1256
http://rhn.redhat.com/errata/RHSA-2014-1297.html
REDHAT RHSA-2014:1297
http://secunia.com/advisories/58962
SECUNIA 58962
http://secunia.com/advisories/59700
SECUNIA 59700
http://linux.oracle.com/errata/ELSA-2014-1053.html CONFIRM
http://lists.fedoraproject.org/pipermail/package-announce/2014-August/136470.html
FEDORA FEDORA-2014-9301
http://lists.opensuse.org/opensuse-updates/2014-08/msg00036.html
SUSE openSUSE-SU-2014:1052
http://marc.info/?l=bugtraq&m=140853041709441&w=2
HP HPSBUX03095
http://marc.info/?l=bugtraq&m=141077370928502&w=2
HP HPSBOV03099
http://lists.opensuse.org/opensuse-security-announce/2016-03/msg00011.html
SUSE openSUSE-SU-2016:0640
http://lists.fedoraproject.org/pipermail/package-announce/2014-August/136473.html
FEDORA FEDORA-2014-9308
http://linux.oracle.com/errata/ELSA-2014-1052.html CONFIRM
ftp://ftp.netbsd.org/pub/NetBSD/security/advisories/NetBSD-SA2014-008.txt.asc
NETBSD NetBSD-SA2014-008

- Metasploit Modules Related To CVE-2014-3505

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.